
BornAgain - Feature #613

Feature # 604 (Archived): Implement QStandartItemModel hierarchy

Complete correspondence between domain and GUI model objects

14 Feb 2014 13:42 - herck

Status: Resolved Start date: 10 Apr 2014

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint 21   

Description

Provide all necessary domain objects (Isample, ...) to the GUI.

Subtasks:

Feature # 645: Implement formfactory property as combobox in property editor Archived

Feature # 648: Provide serialization of ParticleItem Rejected

Feature # 653: Implement ParticleView representing ParticleItem Resolved

Feature # 654: Complete IsGISAXS01 sample generation from GUI Resolved

Feature # 655: Implement parameterized items for 1D and 2D paracrystals Resolved

Feature # 656: Implement views for 1D and 2D paracrystals Rejected

History

#1 - 17 Feb 2014 11:15 - herck

- Assignee set to herck

#2 - 10 Apr 2014 20:48 - herck

- Status changed from Sprint to Backlog

- Assignee deleted (herck)

- Target version deleted (Sprint 20)

#3 - 14 Apr 2014 10:05 - pospelov

- Status changed from Backlog to Sprint

- Target version set to Sprint 21

#4 - 04 Jun 2014 11:25 - herck

- Status changed from Sprint to Resolved
